GET /api/v3/admin/license

Get license details.

GetLicenseDetailsV3 Permissions: ApplicationSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

LicenseResponse
Property Description Type
accountUsage AccountOrMeterUsage
AccountOrMeterUsage properties
Property Description Type
chargeback Number of chargeback accounts or meters. integer (int32)
inactive Number of inactive accounts or meters. integer (int32)
nonChargeback Number of non-chargeback accounts or meters. integer (int32)
billsCreatedLast12Months BillUsage
BillUsage properties
Property Description Type
accrual Number of bills that have accrued. integer (int32)
chargeback Number of bills that are chargeback. integer (int32)
imported Number of bills that are imported. integer (int32)
manuallyEntered Number of bills that are manually entered. integer (int32)
billsCreatedLast30Days BillUsage
BillUsage properties
Property Description Type
accrual Number of bills that have accrued. integer (int32)
chargeback Number of bills that are chargeback. integer (int32)
imported Number of bills that are imported. integer (int32)
manuallyEntered Number of bills that are manually entered. integer (int32)
emissionSourcesScope1And2Usage LicenseUsage
LicenseUsage properties
Property Description Type
active Number of active licenses integer (int32)
inactive Number of inactive licenses integer (int32)
purchased Purchased allotment of licensed items integer (int32)
emissionSourcesScope3Usage LicenseUsage
LicenseUsage properties
Property Description Type
active Number of active licenses integer (int32)
inactive Number of inactive licenses integer (int32)
purchased Purchased allotment of licensed items integer (int32)
expirationDate User’s license expiration date. string (date-time)
licenseFeatures LicenseFeatures
LicenseFeatures properties
Property Description Type
accountingExport Whether accounting export is available on the user’s the license. boolean
billAccruals Whether bill accruals are available on the user’s license. boolean
billCAPtureManagedServices Whether Bill CAPture Managed Services is available on the user’s license boolean
billCapturePostPay Whether Bill CAPture PostPay is available on the user’s license boolean
billCapturePrePay Whether Bill CAPture PrePay is available on the user’s license boolean
budgets Whether Budgets is available on the user’s license boolean
carbonHub Whether CarbonHub is available on the user’s license boolean
chargebacks Whether chargebacks are available on the user’s license. boolean
costAvoidance Whether cost avoidance is available on the user’s license. boolean
customBenchmarks Whether custom benchmarks are available on the user’s license. boolean
energyCAPPayments Whether EnergyCAP Payments is available on the user’s license boolean
ghg Whether CarbonHub Standard is available on the user’s license. boolean
ghgLegacy Whether Legacy GHG features are available on the user’s license. boolean
ghgPremium Whether CarbonHub Premium is available on the user’s license. boolean
intervalData Whether Interval Data Managed Services is available on the user’s license boolean
intervalDataAnalysis Whether interval data analysis is available on the user’s license. boolean
nonEnglishBills Whether Bill CAPture NonEnglish Bills is available on the user’s license boolean
reportDesigner Whether report designer is available on the user’s license. boolean
reportDistribution Whether report distribution is available on the user’s license. boolean
uIdI Whether UIDI is available on the user’s license boolean
vendorManagementServices Whether Vendor Management Services is available on the user’s license boolean
licensedMeters Number of licensed meters for this user. integer (int32)
meterUsage AccountOrMeterUsage
AccountOrMeterUsage properties
Property Description Type
chargeback Number of chargeback accounts or meters. integer (int32)
inactive Number of inactive accounts or meters. integer (int32)
nonChargeback Number of non-chargeback accounts or meters. integer (int32)
notes Additional notes related to the license. string
userNumber The user number. string
utilityManagementSKU Application SKU as set in the license code for UtilityManagement. Possible values are: SaaS (Express), Professional, Online (Enterprise), ConsultantPlatform, ConsultantPlatformPlus, UtilityCompanyPlatform, and Other. string
validationKey User’s license validation key. string
version EnergyCAP version on this license. string
Example Response application/json
{  "accountUsage": {    "chargeback": 1,    "inactive": 1,    "nonChargeback": 1
  },  "billsCreatedLast12Months": {    "accrual": 1,    "chargeback": 1,    "imported": 1,    "manuallyEntered": 1
  },  "billsCreatedLast30Days": {    "accrual": 1,    "chargeback": 1,    "imported": 1,    "manuallyEntered": 1
  },  "emissionSourcesScope1And2Usage": {    "active": 1,    "inactive": 1,    "purchased": 1
  },  "emissionSourcesScope3Usage": {    "active": 1,    "inactive": 1,    "purchased": 1
  },  "expirationDate": "2026-03-30",  "licenseFeatures": {    "accountingExport": false,    "billAccruals": false,    "billCAPtureManagedServices": false,    "billCapturePostPay": false,    "billCapturePrePay": false,    "budgets": false,    "carbonHub": false,    "chargebacks": false,    "costAvoidance": false,    "customBenchmarks": false,    "energyCAPPayments": false,    "ghg": false,    "ghgLegacy": false,    "ghgPremium": false,    "intervalData": false,    "intervalDataAnalysis": false,    "nonEnglishBills": false,    "reportDesigner": false,    "reportDistribution": false,    "uIdI": false,    "vendorManagementServices": false
  },  "licensedMeters": 1,  "meterUsage": {    "chargeback": 1,    "inactive": 1,    "nonChargeback": 1
  },  "notes": "string",  "userNumber": "string",  "utilityManagementSKU": "string",  "validationKey": "string",  "version": "string"
}